﻿* Encoding: UTF-8.
/* First check normality, outliers, etc. (with EXPLORE).
EXAMINE VARIABLES=Revise Exam Anxiety
  /PLOT BOXPLOT HISTOGRAM NPPLOT 
  /STATISTICS DESCRIPTIVES 
  /CINTERVAL 95 
  /MISSING LISTWISE 
  /NOTOTAL.

/* use the information that you got from the boxplots in EXAMINE to
/* determine which participants to exclude.
/* Generate a selection variable that you can use to exclude them.
COMPUTE selSbjB = 1.
EXECUTE.
FORMATS selSbjB (F1.0).

/* You can generate similar selection variables for other criteria
/* (e.g. univariate outliers based on the z-scores or multivariate
/* outliers based on the Mahalanobis-distance) using a similar
/* syntax with different variable names (e.g, selSbjB → selSbjZ
/* or selSbjM).
COMPUTE selSbjZ = 1.
COMPUTE selSbjM = 1.
EXECUTE.
FORMATS selSbjM (F1.0) selSbjZ (F1.0).

/* Mahalanobis-distances can be calculated for evalution and sorted
/* using this syntax.
/* Critical Chi-square values can be found on p. 10 in T & F.
REGRESSION 
  /MISSING LISTWISE
  /STATISTICS R
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT Code
  /METHOD=ENTER Exam Revise Anxiety
  /SAVE MAHAL.
SORT CASES MAH_1 (D).

/* If you want to combine several selection variables you can do so by
/* either using an OR- or an AND-conjunction. OR means that a participant
/* is only excluded if he is deselected on all criteria. For AND it is enough if
/* she / he is deselected on one. We will use AND.
COMPUTE selSbj = selSbjB & selSbjZ & selSbjM.
/* OR below (uncomment, if needed).
/* COMPUTE selSbj = selSbjB | selSbjZ | selSbjM.
EXECUTE.

/* use the created selection variable to filter out participants.
USE ALL.
FILTER BY selSbj.
EXECUTE.

/* check again with EXAMINE to see whether the de-selection of outliers
/* had an effect on the Tests of Normality and the visual appearance of the
/* histograms and boxplots.
EXAMINE VARIABLES=Revise Exam Anxiety
  /PLOT BOXPLOT HISTOGRAM NPPLOT 
  /STATISTICS DESCRIPTIVES 
  /CINTERVAL 95 
  /MISSING LISTWISE 
  /NOTOTAL.

/* Check Correlations between variables to see whether there are any red
/* flags in relation to multicollinearity and for deciding in which order the
/* variables should be entered into the regression model.
CORRELATIONS 
  /VARIABLES=Revise Exam Anxiety 
  /PRINT=TWOTAIL NOSIG 
  /MISSING=PAIRWISE.

/* There is reason to be concerned about the high (negative) correlation between
/* ANXIETY AND REVISE. It is likely that only one of these two variables can be
/* included in the model.

/* Check the assumption of linearity using scatter plots.
GRAPH /SCATTERPLOT(BIVAR)=Exam WITH Revise /MISSING=LISTWISE.
GRAPH /SCATTERPLOT(BIVAR)=Exam WITH Anxiety /MISSING=LISTWISE.
GRAPH /SCATTERPLOT(BIVAR)=Anxiety WITH Revise /MISSING=LISTWISE.
/* Those plot don't raise direct concerns with respect to linearity but about the
/* distribution of the data in the sample. E.g., do REVISE vs. EXAM and ANXIETY
/* vs. EXAM have only scores in one diagonal of the scatter plot and ANXIETY vs.
/* REVISE is centered at the bottom, right end.

/* A first regression  model includes all predictors (REVISE ANXIETY SEX).
REGRESSION 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT Exam 
  /METHOD=ENTER Revise Anxiety Sex.

/* From evaluating that model it appears as if only ANXIETY is significant.
/* We shall explore that with entering the variables ANXIETY, REVISE and SEX
/* step by step and see whether this leads to a significant increase in prediction
/* quality of the model. We also include diagnostics (R change) to assess that.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA CHANGE
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Exam
  /METHOD=ENTER Anxiety
  /METHOD=ENTER Revise
  /METHOD=ENTER Sex.

/* from assessing the "Model summary" it appears as if only ANXIETY makes a
/* significant contribution while the two other variables don't.
/* Therefore, a revised model is calculated and evaluated.
/* We further add more diagnostics and some plots to be better assess the model quality.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Exam
  /METHOD=ENTER Anxiety
  /PARTIALPLOT ALL
  /SCATTERPLOT=(*ZPRED ,*ZRESID)
  /RESIDUALS HISTOGRAM(ZRESID) NORMPROB(ZRESID).

