﻿* Encoding: UTF-8.
/* First check normality, outliers, etc. (with EXPLORE).
EXAMINE VARIABLES=Adverts Airplay Image Sales 
  /PLOT BOXPLOT HISTOGRAM NPPLOT 
  /COMPARE GROUPS 
  /STATISTICS DESCRIPTIVES 
  /CINTERVAL 95 
  /MISSING LISTWISE 
  /NOTOTAL.

/* ADVERTS is very skewed (positively; towards the left side)
/* the variable shall therefore be transformed: we try logarithmic,
/* the square root and the inverse (see T&F, p. 121 and 123).
COMPUTE LogAdverts = LN(Adverts).
COMPUTE SqrAdverts = SQRT(Adverts).
COMPUTE InvAdverts = 1 / Adverts.
EXECUTE.

/* check again with EXAMINE to determine which transformation
/* worked best.
EXAMINE VARIABLES=Adverts LogAdverts SqrAdverts InvAdverts
  /PLOT BOXPLOT HISTOGRAM NPPLOT 
  /COMPARE GROUPS 
  /STATISTICS DESCRIPTIVES 
  /CINTERVAL 95 
  /MISSING LISTWISE 
  /NOTOTAL.

/* SqrAdverts is the variable that has the lowest score in the K-S-test
/* under "Tests of Normality", it also looks closest to a normal distribution.
/* We will use that variable for further tests.

/* Check Correlations between variables to see whether there are any red
/* flags in relation to multicollinearity and for deciding in which order the
/* variables should be entered into the regression model.
CORRELATIONS 
  /VARIABLES=SqrAdverts Airplay Image Sales 
  /PRINT=TWOTAIL NOSIG 
  /MISSING=PAIRWISE.

/* It turns out that all variables are highly correlated with the outcome
/* variable (SALES) and only low to moderatly with each other. This means
/* that there are no issues to expect with multicollinearity.
/* AIRPLAY has the highest correlation, followed by SQRADVERTS and
/* IMAGE. Variables will be entered into the regression model in that order.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Sales
  /METHOD=ENTER Airplay SqrAdverts Image
  /PARTIALPLOT ALL
  /SCATTERPLOT=(*ZPRED ,*ZRESID)
  /RESIDUALS HISTOGRAM(ZRESID) NORMPROB(ZRESID).
